Huawei lanza extenso parche de seguridad para usuarios de teléfonos con EMUI 11 y EMUI12 y se pide actualizar con urgencia

 

 

Huawei ha dado a conocer  detalles del parche de seguridad EMUI del mes  octubre  con una gran cantidad de correcciones y mejoras para los problemas amenazantes.

En consecuencia, los usuarios notarán una mejora y estabilidad general en sus dispositivos después de instalar el nuevo parche.

«Estamos muy conscientes del hecho de que enviamos actualizaciones periódicas a los dispositivos para mantener su confiabilidad….pero, a menudo, estas actualizaciones generan  algunos problemas y defectos ocultos en el sistema y estos problemas crean una puerta de entrada para que el malware ingrese a las aplicaciones y altere el funcionamiento del dispositivo».

Huawei ha explorado varios segmentos del dispositivo y ha preparado un nuevo paquete de mejoras que  aplican a las versiones principales de EMUI 11 y 12.

Desde la compañía indican que si su dispositivo se ejecuta en alguna de las versiones mencionadas, debe verificar qué problemas nuevos se detienen por completo con el último parche de seguridad de EMUI de octubre de 2022.

Problemas de seguridad de EMUI de octubre de 2022

Corrección de seguridad de EMUI de octubre de 2022 para EMUI 11 y EMUI 12
CVE1: CVE-2021-40017

Detalle versión CVE: Vulnerabilidad de no verificar la validez del formato de la clave en el módulo HW_KEYMASTER
Nivel de Riesgo: Crítico
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede causar acceso fuera de los límites
CVE2: CVE-2021-46839, CVE-2021-46840

Detalle de la versión de CVE: falta de verificación de longitud y vulnerabilidad de verificación de conjunto de parámetros en el módulo HW_KEYMASTER
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: los atacantes pueden crear datos maliciosos y provocar un acceso fuera de los límites.
CVE3: CVE-2022-38983

Detalle de la versión CVE: vulnerabilidad UAF en el módulo BT Hfp Client
Nivel de riesgo: Alto
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede provocar la ejecución de código arbitrario
CVE4: CVE-2022-41576

Detalle de la versión de CVE: script boot.sh que puede ser modificado por programas maliciosos en el módulo del teléfono
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede provocar la implantación irreversible del programa en el dispositivo del usuario.
CVE5: CVE-2022-41578

Detalle de la versión de CVE: vulnerabilidad de escritura fuera de los límites en el módulo mptcp
Nivel de riesgo: Alto
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede hacer que los programas de ataque modifiquen la información del programa para implementar ataques de escalamiento de privilegios raíz.
CVE 6: CVE-2022-41580, CVE-2022-41581

Detalles de la versión de CVE: vulnerabilidad de no verificar el contenido leído en el módulo HW_KEYMASTER
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: los atacantes pueden crear datos maliciosos y provocar un acceso fuera de los límites.

 

 

CVE7: CVE-2022-41582

Detalles de la versión CVE: Defectos de configuración en el módulo de seguridad
Nivel de riesgo: Alto
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede afectar la disponibilidad
CVE8: CVE-2022-41584, CVE-2022-41585

Detalles de la versión de CVE: vulnerabilidad de lectura fuera de los límites en el módulo del kernel
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede provocar la sobrescritura de la memoria
CVE 9: CVE-2022-41586

Detalles de la versión de CVE: vulnerabilidad de datos no truncados en el módulo del marco de comunicación
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad afectará la confidencialidad
CVE-10: CVE-2022-41588

Detalles de la versión de CVE: vulnerabilidad de excepción de lógica de servicio en el módulo de pantalla de inicio
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de este CVE en los dispositivos: la explotación exitosa de esta vulnerabilidad puede afectar la integridad
CVE 11: (CVE-2022-41592, CVE-2022-41593, CVE-2022-41594, CVE-2022-41595, CVE-2022-41597, CVE-2022-41598, CVE-2022-41600, CVE-2022- 41601, CVE-2022-41602, CVE-2022-41603)

Detalles de la versión de CVE: desbordamiento de almacenamiento dinámico/lectura fuera de los límites/puntero nulo u otros problemas en el teléfono debido a la huella digital TA
Nivel de riesgo: Medio
Versiones afectadas: EMUI 12.0.0, EMUI 11.0.1
Impacto de estos CVE en los dispositivos: los atacantes con permiso de root pueden explotar esta vulnera capacidad mediante el control del contenido del archivo. Como resultado, el servicio de huellas dactilares puede ser anormal.